package com.helpshift.campaigns.models;
public interface InboxMessage
{
public static enum INBOX_MESSAGE_ACTION_TYPE
{
OPEN_DEEP_LINK(),
SHOW_ALERT_TO_RATE_APP(),
SHOW_CONVERSATION(),
SHOW_FAQS(),
SHOW_FAQ_SECTION(),
SHOW_SINGLE_FAQ(),
UNKNOWN();
}
public abstract  java.lang.String getIdentifier();
public abstract  android.graphics.Bitmap getCoverImage();
public abstract  android.graphics.Bitmap getIconImage();
public abstract  java.lang.String getTitle();
public abstract  java.lang.String getTitleColor();
public abstract  java.lang.String getBody();
public abstract  java.lang.String getBodyColor();
public abstract  java.lang.String getBackgroundColor();
public abstract  long getCreatedAt();
public abstract  long getExpiryTimeStamp();
public abstract  boolean getReadStatus();
public abstract  boolean getSeenStatus();
public abstract  int getCountOfActions();
public abstract  java.lang.String getActionTitle(int index);
public abstract  java.lang.String getActionTitleColor(int index);
public abstract  boolean isActionGoalCompletion(int index);
public abstract  void executeAction(int index, android.app.Activity activity);
public abstract  com.helpshift.campaigns.models.InboxMessage.INBOX_MESSAGE_ACTION_TYPE getActionType(int index);
public abstract  java.lang.String getActionData(int index);
public static final long NO_EXPIRY_TIME_STAMP = 9223372036854775807L;
}
