package java.time.chrono;
public interface ChronoLocalDate
  extends java.time.temporal.Temporal, java.time.temporal.TemporalAdjuster, java.lang.Comparable<java.time.chrono.ChronoLocalDate>
{
public static abstract  java.util.Comparator<java.time.chrono.ChronoLocalDate> timeLineOrder();
public static abstract  java.time.chrono.ChronoLocalDate from(java.time.temporal.TemporalAccessor arg0);
public abstract  java.time.chrono.Chronology getChronology();
public abstract  java.time.chrono.Era getEra();
public abstract  boolean isLeapYear();
public abstract  int lengthOfMonth();
public abstract  int lengthOfYear();
public abstract  boolean isSupported(java.time.temporal.TemporalField arg0);
public abstract  boolean isSupported(java.time.temporal.TemporalUnit arg0);
public abstract  java.time.chrono.ChronoLocalDate with(java.time.temporal.TemporalAdjuster arg0);
public abstract  java.time.chrono.ChronoLocalDate with(java.time.temporal.TemporalField arg0, long arg1);
public abstract  java.time.chrono.ChronoLocalDate plus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.chrono.ChronoLocalDate plus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.chrono.ChronoLocalDate minus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.chrono.ChronoLocalDate minus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract <R> R query(java.time.temporal.TemporalQuery<R> arg0);
public abstract  java.time.temporal.Temporal adjustInto(java.time.temporal.Temporal arg0);
public abstract  long until(java.time.temporal.Temporal arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.chrono.ChronoPeriod until(java.time.chrono.ChronoLocalDate arg0);
public abstract  java.lang.String format(java.time.format.DateTimeFormatter arg0);
public abstract  java.time.chrono.ChronoLocalDateTime<?> atTime(java.time.LocalTime arg0);
public abstract  long toEpochDay();
public abstract  int compareTo(java.time.chrono.ChronoLocalDate arg0);
public abstract  boolean isAfter(java.time.chrono.ChronoLocalDate arg0);
public abstract  boolean isBefore(java.time.chrono.ChronoLocalDate arg0);
public abstract  boolean isEqual(java.time.chrono.ChronoLocalDate arg0);
public abstract  boolean equals(java.lang.Object arg0);
public abstract  int hashCode();
public abstract  java.lang.String toString();
public abstract  java.time.temporal.Temporal minus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.temporal.Temporal minus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.temporal.Temporal plus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.temporal.Temporal plus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.temporal.Temporal with(java.time.temporal.TemporalField arg0, long arg1);
public abstract  java.time.temporal.Temporal with(java.time.temporal.TemporalAdjuster arg0);
public abstract  int compareTo(java.lang.Object arg0);
}
