package java.time.chrono;
public interface Chronology
  extends java.lang.Comparable<java.time.chrono.Chronology>
{
public static abstract  java.time.chrono.Chronology from(java.time.temporal.TemporalAccessor arg0);
public static abstract  java.time.chrono.Chronology ofLocale(java.util.Locale arg0);
public static abstract  java.time.chrono.Chronology of(java.lang.String arg0);
public static abstract  java.util.Set<java.time.chrono.Chronology> getAvailableChronologies();
public abstract  java.lang.String getId();
public abstract  java.lang.String getCalendarType();
public abstract  java.time.chrono.ChronoLocalDate date(java.time.chrono.Era arg0, int arg1, int arg2, int arg3);
public abstract  java.time.chrono.ChronoLocalDate date(int arg0, int arg1, int arg2);
public abstract  java.time.chrono.ChronoLocalDate dateYearDay(java.time.chrono.Era arg0, int arg1, int arg2);
public abstract  java.time.chrono.ChronoLocalDate dateYearDay(int arg0, int arg1);
public abstract  java.time.chrono.ChronoLocalDate dateEpochDay(long arg0);
public abstract  java.time.chrono.ChronoLocalDate dateNow();
public abstract  java.time.chrono.ChronoLocalDate dateNow(java.time.ZoneId arg0);
public abstract  java.time.chrono.ChronoLocalDate dateNow(java.time.Clock arg0);
public abstract  java.time.chrono.ChronoLocalDate date(java.time.temporal.TemporalAccessor arg0);
public abstract  java.time.chrono.ChronoLocalDateTime<? extends java.time.chrono.ChronoLocalDate> localDateTime(java.time.temporal.TemporalAccessor arg0);
public abstract  java.time.chrono.ChronoZonedDateTime<? extends java.time.chrono.ChronoLocalDate> zonedDateTime(java.time.temporal.TemporalAccessor arg0);
public abstract  java.time.chrono.ChronoZonedDateTime<? extends java.time.chrono.ChronoLocalDate> zonedDateTime(java.time.Instant arg0, java.time.ZoneId arg1);
public abstract  boolean isLeapYear(long arg0);
public abstract  int prolepticYear(java.time.chrono.Era arg0, int arg1);
public abstract  java.time.chrono.Era eraOf(int arg0);
public abstract  java.util.List<java.time.chrono.Era> eras();
public abstract  java.time.temporal.ValueRange range(java.time.temporal.ChronoField arg0);
public abstract  java.lang.String getDisplayName(java.time.format.TextStyle arg0, java.util.Locale arg1);
public abstract  java.time.chrono.ChronoLocalDate resolveDate(java.util.Map<java.time.temporal.TemporalField, java.lang.Long> arg0, java.time.format.ResolverStyle arg1);
public abstract  java.time.chrono.ChronoPeriod period(int arg0, int arg1, int arg2);
public abstract  int compareTo(java.time.chrono.Chronology arg0);
public abstract  boolean equals(java.lang.Object arg0);
public abstract  int hashCode();
public abstract  java.lang.String toString();
public abstract  int compareTo(java.lang.Object arg0);
}
