package java.util;
public interface PrimitiveIterator<T, T_CONS>
  extends java.util.Iterator<T>
{
public static interface OfDouble
  extends java.util.PrimitiveIterator<java.lang.Double, java.util.function.DoubleConsumer>
{
public abstract  double nextDouble();
public abstract  void forEachRemaining(java.util.function.DoubleConsumer arg0);
public abstract  java.lang.Double next();
public abstract  void forEachRemaining(java.util.function.Consumer<? super java.lang.Double> arg0);
public abstract  void forEachRemaining(java.lang.Object arg0);
public abstract  java.lang.Object next();
}
public static interface OfLong
  extends java.util.PrimitiveIterator<java.lang.Long, java.util.function.LongConsumer>
{
public abstract  long nextLong();
public abstract  void forEachRemaining(java.util.function.LongConsumer arg0);
public abstract  java.lang.Long next();
public abstract  void forEachRemaining(java.util.function.Consumer<? super java.lang.Long> arg0);
public abstract  void forEachRemaining(java.lang.Object arg0);
public abstract  java.lang.Object next();
}
public static interface OfInt
  extends java.util.PrimitiveIterator<java.lang.Integer, java.util.function.IntConsumer>
{
public abstract  int nextInt();
public abstract  void forEachRemaining(java.util.function.IntConsumer arg0);
public abstract  java.lang.Integer next();
public abstract  void forEachRemaining(java.util.function.Consumer<? super java.lang.Integer> arg0);
public abstract  void forEachRemaining(java.lang.Object arg0);
public abstract  java.lang.Object next();
}
public abstract  void forEachRemaining(T_CONS arg0);
}
