package java.util.stream;
public interface DoubleStream
  extends java.util.stream.BaseStream<java.lang.Double, java.util.stream.DoubleStream>
{
public static interface Builder
  extends java.util.function.DoubleConsumer
{
public abstract  void accept(double arg0);
public abstract  java.util.stream.DoubleStream.Builder add(double arg0);
public abstract  java.util.stream.DoubleStream build();
}
public abstract  java.util.stream.DoubleStream filter(java.util.function.DoublePredicate arg0);
public abstract  java.util.stream.DoubleStream map(java.util.function.DoubleUnaryOperator arg0);
public abstract <U> java.util.stream.Stream<U> mapToObj(java.util.function.DoubleFunction<? extends U> arg0);
public abstract  java.util.stream.IntStream mapToInt(java.util.function.DoubleToIntFunction arg0);
public abstract  java.util.stream.LongStream mapToLong(java.util.function.DoubleToLongFunction arg0);
public abstract  java.util.stream.DoubleStream flatMap(java.util.function.DoubleFunction<? extends java.util.stream.DoubleStream> arg0);
public abstract  java.util.stream.DoubleStream distinct();
public abstract  java.util.stream.DoubleStream sorted();
public abstract  java.util.stream.DoubleStream peek(java.util.function.DoubleConsumer arg0);
public abstract  java.util.stream.DoubleStream limit(long arg0);
public abstract  java.util.stream.DoubleStream skip(long arg0);
public abstract  void forEach(java.util.function.DoubleConsumer arg0);
public abstract  void forEachOrdered(java.util.function.DoubleConsumer arg0);
public abstract  double[] toArray();
public abstract  double reduce(double arg0, java.util.function.DoubleBinaryOperator arg1);
public abstract  java.util.OptionalDouble reduce(java.util.function.DoubleBinaryOperator arg0);
public abstract <R> R collect(java.util.function.Supplier<R> arg0, java.util.function.ObjDoubleConsumer<R> arg1, java.util.function.BiConsumer<R, R> arg2);
public abstract  double sum();
public abstract  java.util.OptionalDouble min();
public abstract  java.util.OptionalDouble max();
public abstract  long count();
public abstract  java.util.OptionalDouble average();
public abstract  java.util.DoubleSummaryStatistics summaryStatistics();
public abstract  boolean anyMatch(java.util.function.DoublePredicate arg0);
public abstract  boolean allMatch(java.util.function.DoublePredicate arg0);
public abstract  boolean noneMatch(java.util.function.DoublePredicate arg0);
public abstract  java.util.OptionalDouble findFirst();
public abstract  java.util.OptionalDouble findAny();
public abstract  java.util.stream.Stream<java.lang.Double> boxed();
public abstract  java.util.stream.DoubleStream sequential();
public abstract  java.util.stream.DoubleStream parallel();
public abstract  java.util.PrimitiveIterator.OfDouble iterator();
public abstract  java.util.Spliterator.OfDouble spliterator();
public static abstract  java.util.stream.DoubleStream.Builder builder();
public static abstract  java.util.stream.DoubleStream empty();
public static abstract  java.util.stream.DoubleStream of(double arg0);
public static abstract  java.util.stream.DoubleStream of(double... arg0);
public static abstract  java.util.stream.DoubleStream iterate(double arg0, java.util.function.DoubleUnaryOperator arg1);
public static abstract  java.util.stream.DoubleStream generate(java.util.function.DoubleSupplier arg0);
public static abstract  java.util.stream.DoubleStream concat(java.util.stream.DoubleStream arg0, java.util.stream.DoubleStream arg1);
public abstract  java.util.stream.BaseStream parallel();
public abstract  java.util.stream.BaseStream sequential();
public abstract  java.util.Spliterator spliterator();
public abstract  java.util.Iterator iterator();
}
