package java.time.chrono;
public interface ChronoLocalDateTime<D extends java.time.chrono.ChronoLocalDate>
  extends java.time.temporal.Temporal, java.time.temporal.TemporalAdjuster, java.lang.Comparable<java.time.chrono.ChronoLocalDateTime<?>>
{
public static abstract  java.util.Comparator<java.time.chrono.ChronoLocalDateTime<?>> timeLineOrder();
public static abstract  java.time.chrono.ChronoLocalDateTime<?> from(java.time.temporal.TemporalAccessor arg0);
public abstract  java.time.chrono.Chronology getChronology();
public abstract  D toLocalDate();
public abstract  java.time.LocalTime toLocalTime();
public abstract  boolean isSupported(java.time.temporal.TemporalField arg0);
public abstract  boolean isSupported(java.time.temporal.TemporalUnit arg0);
public abstract  java.time.chrono.ChronoLocalDateTime<D> with(java.time.temporal.TemporalAdjuster arg0);
public abstract  java.time.chrono.ChronoLocalDateTime<D> with(java.time.temporal.TemporalField arg0, long arg1);
public abstract  java.time.chrono.ChronoLocalDateTime<D> plus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.chrono.ChronoLocalDateTime<D> plus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.chrono.ChronoLocalDateTime<D> minus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.chrono.ChronoLocalDateTime<D> minus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract <R> R query(java.time.temporal.TemporalQuery<R> arg0);
public abstract  java.time.temporal.Temporal adjustInto(java.time.temporal.Temporal arg0);
public abstract  java.lang.String format(java.time.format.DateTimeFormatter arg0);
public abstract  java.time.chrono.ChronoZonedDateTime<D> atZone(java.time.ZoneId arg0);
public abstract  java.time.Instant toInstant(java.time.ZoneOffset arg0);
public abstract  long toEpochSecond(java.time.ZoneOffset arg0);
public abstract  int compareTo(java.time.chrono.ChronoLocalDateTime<?> arg0);
public abstract  boolean isAfter(java.time.chrono.ChronoLocalDateTime<?> arg0);
public abstract  boolean isBefore(java.time.chrono.ChronoLocalDateTime<?> arg0);
public abstract  boolean isEqual(java.time.chrono.ChronoLocalDateTime<?> arg0);
public abstract  boolean equals(java.lang.Object arg0);
public abstract  int hashCode();
public abstract  java.lang.String toString();
public abstract  java.time.temporal.Temporal minus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.temporal.Temporal minus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.temporal.Temporal plus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.temporal.Temporal plus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.temporal.Temporal with(java.time.temporal.TemporalField arg0, long arg1);
public abstract  java.time.temporal.Temporal with(java.time.temporal.TemporalAdjuster arg0);
public abstract  int compareTo(java.lang.Object arg0);
}
