package java.time.chrono;
public interface ChronoZonedDateTime<D extends java.time.chrono.ChronoLocalDate>
  extends java.time.temporal.Temporal, java.lang.Comparable<java.time.chrono.ChronoZonedDateTime<?>>
{
public static abstract  java.util.Comparator<java.time.chrono.ChronoZonedDateTime<?>> timeLineOrder();
public static abstract  java.time.chrono.ChronoZonedDateTime<?> from(java.time.temporal.TemporalAccessor arg0);
public abstract  java.time.temporal.ValueRange range(java.time.temporal.TemporalField arg0);
public abstract  int get(java.time.temporal.TemporalField arg0);
public abstract  long getLong(java.time.temporal.TemporalField arg0);
public abstract  D toLocalDate();
public abstract  java.time.LocalTime toLocalTime();
public abstract  java.time.chrono.ChronoLocalDateTime<D> toLocalDateTime();
public abstract  java.time.chrono.Chronology getChronology();
public abstract  java.time.ZoneOffset getOffset();
public abstract  java.time.ZoneId getZone();
public abstract  java.time.chrono.ChronoZonedDateTime<D> withEarlierOffsetAtOverlap();
public abstract  java.time.chrono.ChronoZonedDateTime<D> withLaterOffsetAtOverlap();
public abstract  java.time.chrono.ChronoZonedDateTime<D> withZoneSameLocal(java.time.ZoneId arg0);
public abstract  java.time.chrono.ChronoZonedDateTime<D> withZoneSameInstant(java.time.ZoneId arg0);
public abstract  boolean isSupported(java.time.temporal.TemporalField arg0);
public abstract  boolean isSupported(java.time.temporal.TemporalUnit arg0);
public abstract  java.time.chrono.ChronoZonedDateTime<D> with(java.time.temporal.TemporalAdjuster arg0);
public abstract  java.time.chrono.ChronoZonedDateTime<D> with(java.time.temporal.TemporalField arg0, long arg1);
public abstract  java.time.chrono.ChronoZonedDateTime<D> plus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.chrono.ChronoZonedDateTime<D> plus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.chrono.ChronoZonedDateTime<D> minus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.chrono.ChronoZonedDateTime<D> minus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract <R> R query(java.time.temporal.TemporalQuery<R> arg0);
public abstract  java.lang.String format(java.time.format.DateTimeFormatter arg0);
public abstract  java.time.Instant toInstant();
public abstract  long toEpochSecond();
public abstract  int compareTo(java.time.chrono.ChronoZonedDateTime<?> arg0);
public abstract  boolean isBefore(java.time.chrono.ChronoZonedDateTime<?> arg0);
public abstract  boolean isAfter(java.time.chrono.ChronoZonedDateTime<?> arg0);
public abstract  boolean isEqual(java.time.chrono.ChronoZonedDateTime<?> arg0);
public abstract  boolean equals(java.lang.Object arg0);
public abstract  int hashCode();
public abstract  java.lang.String toString();
public abstract  java.time.temporal.Temporal minus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.temporal.Temporal minus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.temporal.Temporal plus(long arg0, java.time.temporal.TemporalUnit arg1);
public abstract  java.time.temporal.Temporal plus(java.time.temporal.TemporalAmount arg0);
public abstract  java.time.temporal.Temporal with(java.time.temporal.TemporalField arg0, long arg1);
public abstract  java.time.temporal.Temporal with(java.time.temporal.TemporalAdjuster arg0);
public abstract  int compareTo(java.lang.Object arg0);
}
