package java.util;
public interface Map<K, V>
{
public static interface Entry<K, V>
{
public abstract  K getKey();
public abstract  V getValue();
public abstract  V setValue(V arg0);
public abstract  boolean equals(java.lang.Object arg0);
public abstract  int hashCode();
public static abstract <K extends java.lang.Comparable<? super K>, V> java.util.Comparator<java.util.Map.Entry<K, V>> comparingByKey();
public static abstract <K, V extends java.lang.Comparable<? super V>> java.util.Comparator<java.util.Map.Entry<K, V>> comparingByValue();
public static abstract <K, V> java.util.Comparator<java.util.Map.Entry<K, V>> comparingByKey(java.util.Comparator<? super K> arg0);
public static abstract <K, V> java.util.Comparator<java.util.Map.Entry<K, V>> comparingByValue(java.util.Comparator<? super V> arg0);
}
public abstract  int size();
public abstract  boolean isEmpty();
public abstract  boolean containsKey(java.lang.Object arg0);
public abstract  boolean containsValue(java.lang.Object arg0);
public abstract  V get(java.lang.Object arg0);
public abstract  V put(K arg0, V arg1);
public abstract  V remove(java.lang.Object arg0);
public abstract  void putAll(java.util.Map<? extends K, ? extends V> arg0);
public abstract  void clear();
public abstract  java.util.Set<K> keySet();
public abstract  java.util.Collection<V> values();
public abstract  java.util.Set<java.util.Map.Entry<K, V>> entrySet();
public abstract  boolean equals(java.lang.Object arg0);
public abstract  int hashCode();
public abstract  V getOrDefault(java.lang.Object arg0, V arg1);
public abstract  void forEach(java.util.function.BiConsumer<? super K, ? super V> arg0);
public abstract  void replaceAll(java.util.function.BiFunction<? super K, ? super V, ? extends V> arg0);
public abstract  V putIfAbsent(K arg0, V arg1);
public abstract  boolean remove(java.lang.Object arg0, java.lang.Object arg1);
public abstract  boolean replace(K arg0, V arg1, V arg2);
public abstract  V replace(K arg0, V arg1);
public abstract  V computeIfAbsent(K arg0, java.util.function.Function<? super K, ? extends V> arg1);
public abstract  V computeIfPresent(K arg0, java.util.function.BiFunction<? super K, ? super V, ? extends V> arg1);
public abstract  V compute(K arg0, java.util.function.BiFunction<? super K, ? super V, ? extends V> arg1);
public abstract  V merge(K arg0, V arg1, java.util.function.BiFunction<? super V, ? super V, ? extends V> arg2);
}
