package java.util.stream;
public interface IntStream
  extends java.util.stream.BaseStream<java.lang.Integer, java.util.stream.IntStream>
{
public static interface Builder
  extends java.util.function.IntConsumer
{
public abstract  void accept(int arg0);
public abstract  java.util.stream.IntStream.Builder add(int arg0);
public abstract  java.util.stream.IntStream build();
}
public abstract  java.util.stream.IntStream filter(java.util.function.IntPredicate arg0);
public abstract  java.util.stream.IntStream map(java.util.function.IntUnaryOperator arg0);
public abstract <U> java.util.stream.Stream<U> mapToObj(java.util.function.IntFunction<? extends U> arg0);
public abstract  java.util.stream.LongStream mapToLong(java.util.function.IntToLongFunction arg0);
public abstract  java.util.stream.DoubleStream mapToDouble(java.util.function.IntToDoubleFunction arg0);
public abstract  java.util.stream.IntStream flatMap(java.util.function.IntFunction<? extends java.util.stream.IntStream> arg0);
public abstract  java.util.stream.IntStream distinct();
public abstract  java.util.stream.IntStream sorted();
public abstract  java.util.stream.IntStream peek(java.util.function.IntConsumer arg0);
public abstract  java.util.stream.IntStream limit(long arg0);
public abstract  java.util.stream.IntStream skip(long arg0);
public abstract  void forEach(java.util.function.IntConsumer arg0);
public abstract  void forEachOrdered(java.util.function.IntConsumer arg0);
public abstract  int[] toArray();
public abstract  int reduce(int arg0, java.util.function.IntBinaryOperator arg1);
public abstract  java.util.OptionalInt reduce(java.util.function.IntBinaryOperator arg0);
public abstract <R> R collect(java.util.function.Supplier<R> arg0, java.util.function.ObjIntConsumer<R> arg1, java.util.function.BiConsumer<R, R> arg2);
public abstract  int sum();
public abstract  java.util.OptionalInt min();
public abstract  java.util.OptionalInt max();
public abstract  long count();
public abstract  java.util.OptionalDouble average();
public abstract  java.util.IntSummaryStatistics summaryStatistics();
public abstract  boolean anyMatch(java.util.function.IntPredicate arg0);
public abstract  boolean allMatch(java.util.function.IntPredicate arg0);
public abstract  boolean noneMatch(java.util.function.IntPredicate arg0);
public abstract  java.util.OptionalInt findFirst();
public abstract  java.util.OptionalInt findAny();
public abstract  java.util.stream.LongStream asLongStream();
public abstract  java.util.stream.DoubleStream asDoubleStream();
public abstract  java.util.stream.Stream<java.lang.Integer> boxed();
public abstract  java.util.stream.IntStream sequential();
public abstract  java.util.stream.IntStream parallel();
public abstract  java.util.PrimitiveIterator.OfInt iterator();
public abstract  java.util.Spliterator.OfInt spliterator();
public static abstract  java.util.stream.IntStream.Builder builder();
public static abstract  java.util.stream.IntStream empty();
public static abstract  java.util.stream.IntStream of(int arg0);
public static abstract  java.util.stream.IntStream of(int... arg0);
public static abstract  java.util.stream.IntStream iterate(int arg0, java.util.function.IntUnaryOperator arg1);
public static abstract  java.util.stream.IntStream generate(java.util.function.IntSupplier arg0);
public static abstract  java.util.stream.IntStream range(int arg0, int arg1);
public static abstract  java.util.stream.IntStream rangeClosed(int arg0, int arg1);
public static abstract  java.util.stream.IntStream concat(java.util.stream.IntStream arg0, java.util.stream.IntStream arg1);
public abstract  java.util.stream.BaseStream parallel();
public abstract  java.util.stream.BaseStream sequential();
public abstract  java.util.Spliterator spliterator();
public abstract  java.util.Iterator iterator();
}
