package java.util.stream;
public interface LongStream
  extends java.util.stream.BaseStream<java.lang.Long, java.util.stream.LongStream>
{
public static interface Builder
  extends java.util.function.LongConsumer
{
public abstract  void accept(long arg0);
public abstract  java.util.stream.LongStream.Builder add(long arg0);
public abstract  java.util.stream.LongStream build();
}
public abstract  java.util.stream.LongStream filter(java.util.function.LongPredicate arg0);
public abstract  java.util.stream.LongStream map(java.util.function.LongUnaryOperator arg0);
public abstract <U> java.util.stream.Stream<U> mapToObj(java.util.function.LongFunction<? extends U> arg0);
public abstract  java.util.stream.IntStream mapToInt(java.util.function.LongToIntFunction arg0);
public abstract  java.util.stream.DoubleStream mapToDouble(java.util.function.LongToDoubleFunction arg0);
public abstract  java.util.stream.LongStream flatMap(java.util.function.LongFunction<? extends java.util.stream.LongStream> arg0);
public abstract  java.util.stream.LongStream distinct();
public abstract  java.util.stream.LongStream sorted();
public abstract  java.util.stream.LongStream peek(java.util.function.LongConsumer arg0);
public abstract  java.util.stream.LongStream limit(long arg0);
public abstract  java.util.stream.LongStream skip(long arg0);
public abstract  void forEach(java.util.function.LongConsumer arg0);
public abstract  void forEachOrdered(java.util.function.LongConsumer arg0);
public abstract  long[] toArray();
public abstract  long reduce(long arg0, java.util.function.LongBinaryOperator arg1);
public abstract  java.util.OptionalLong reduce(java.util.function.LongBinaryOperator arg0);
public abstract <R> R collect(java.util.function.Supplier<R> arg0, java.util.function.ObjLongConsumer<R> arg1, java.util.function.BiConsumer<R, R> arg2);
public abstract  long sum();
public abstract  java.util.OptionalLong min();
public abstract  java.util.OptionalLong max();
public abstract  long count();
public abstract  java.util.OptionalDouble average();
public abstract  java.util.LongSummaryStatistics summaryStatistics();
public abstract  boolean anyMatch(java.util.function.LongPredicate arg0);
public abstract  boolean allMatch(java.util.function.LongPredicate arg0);
public abstract  boolean noneMatch(java.util.function.LongPredicate arg0);
public abstract  java.util.OptionalLong findFirst();
public abstract  java.util.OptionalLong findAny();
public abstract  java.util.stream.DoubleStream asDoubleStream();
public abstract  java.util.stream.Stream<java.lang.Long> boxed();
public abstract  java.util.stream.LongStream sequential();
public abstract  java.util.stream.LongStream parallel();
public abstract  java.util.PrimitiveIterator.OfLong iterator();
public abstract  java.util.Spliterator.OfLong spliterator();
public static abstract  java.util.stream.LongStream.Builder builder();
public static abstract  java.util.stream.LongStream empty();
public static abstract  java.util.stream.LongStream of(long arg0);
public static abstract  java.util.stream.LongStream of(long... arg0);
public static abstract  java.util.stream.LongStream iterate(long arg0, java.util.function.LongUnaryOperator arg1);
public static abstract  java.util.stream.LongStream generate(java.util.function.LongSupplier arg0);
public static abstract  java.util.stream.LongStream range(long arg0, long arg1);
public static abstract  java.util.stream.LongStream rangeClosed(long arg0, long arg1);
public static abstract  java.util.stream.LongStream concat(java.util.stream.LongStream arg0, java.util.stream.LongStream arg1);
public abstract  java.util.stream.BaseStream parallel();
public abstract  java.util.stream.BaseStream sequential();
public abstract  java.util.Spliterator spliterator();
public abstract  java.util.Iterator iterator();
}
